<?php

class Cotacoes {
    
    private $id_cotacao;
    private $data;
    private $status;
    private $tipo;
    private $carga;
    private $tipoorigem;
    private $tipodestino;
    private $bairroorigem;
    private $bairrodestino;
    private $quando;
    private $observacao;
    private $nome;
    private $email;
    private $celular;
    private $estado;
    private $cidade;
    
    function Cadastra_Cotacao() {
        include __DIR__ . "/../functions/connect.php";
        session_start();
        
        // fuso data e hora atual
        date_default_timezone_set('America/Sao_Paulo');
        $this->datadecadastro = new DateTime();
        
        $this->status = 0;
        
        $this->tipo = filter_var($_SESSION['cotacao']['tipo']);
        $this->carga = filter_var($_SESSION['cotacao']['carga']);
        $this->tipoorigem = filter_var($_SESSION['cotacao']['tipoorigem']);
        $this->bairroorigem = filter_var($_SESSION['cotacao']['bairroorigem']);
        $this->tipodestino = filter_var($_SESSION['cotacao']['tipodestino']);
        $this->bairrodestino = filter_var($_SESSION['cotacao']['bairrodestino']);
        $this->quando = filter_var($_SESSION['cotacao']['quando']);
        $this->observacao = filter_var($_SESSION['cotacao']['observacao']);
        $this->nome = filter_var($_SESSION['cotacao']['nome']);
        $this->email = filter_var($_SESSION['cotacao']['email']);
        $this->celular = filter_var($_SESSION['cotacao']['celular']);
        $this->estado = filter_var($_SESSION['cotacao']['estado']);
        $this->cidade = filter_var($_SESSION['cotacao']['cidade']);
        

        $sql = "INSERT INTO 4f_cotacoes
		SET data = ?, status = ?, tipo = ?, carga = ?, tipoorigem = ?, bairroorigem = ?, tipodestino = ?, bairrodestino = ?, 
                quando = ?, observacao = ?, nome = ?, email = ?, celular = ?, estado = ?, cidade = ?";

        $stmt = $mysqli->prepare($sql);

        if (!$stmt) {
            echo 'Erro na consulta: ' . $mysqli->errno . ' - ' . $mysqli->error;
            return false;
        }

        $stmt->bind_param('sissssssssssssi', $this->datadecadastro->format("Y-m-d H:i:s"), $this->status, $this->tipo, $this->carga, $this->tipoorigem, $this->bairroorigem, $this->tipodestino, $this->bairrodestino, $this->quando, $this->observacao, $this->nome, $this->email, $this->celular, $this->estado, $this->cidade);
        $stmt->execute();
        $stmt->close();
        
        

        return true;
    }
}
